textures/arches/water
{
        qer_editorimage textures/arches/water.jpg
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/arches/water.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/arches/water.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/arches/water.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/arches/pool
{
        qer_editorimage textures/arches/pool.jpg
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/arches/pool.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/arches/pool.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/arches/pool.jpg
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/arches/waterfall
{
	qer_editorimage textures/arches/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/arches/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 5
	}
}

textures/arches/waterfall2
{
	qer_editorimage textures/arches/waterfall2.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/arches/waterfall2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -5
	}
}

textures/arches/sky_skybox
{
    qer_editorimage textures/arches/sky_up.jpg
    q3map_lightmapFilterRadius 0 4    
    q3map_lightsubdivide 768
    q3map_backsplash 0 0

    q3map_sunEXT 1 0.788 0.347 150 100 50 2 12
    q3map_skyLight 150 4
    q3map_lightRGB 1 0.788 0.347        

    q3map_noFog

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight

    skyparms env/sky/sky - -

    nopicmip
    nomipmaps
}

textures/arches/light
{
    qer_editorimage textures/arches/light.jpg
    q3map_surfacelight 8000
    surfaceparm nomarks
    surfaceparm nodamage
        {
        map $lightmap
        rgbGen identity
        }

        {
        map textures/arches/light.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        }
}

textures/arches/rich_splash_1
{
	qer_editorimage textures/arches/rich_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/arches/rich_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758 
	}
}

textures/arches/rich_splash_2
{
	qer_editorimage textures/arches/rich_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 27.9806 0 14.5417 sawtooth 0 1 0 1.00822 
	{
		clampmap textures/arches/rich_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.6 -0.6 0 1.00822 
	}
}

textures/arches/rich_splash_3
{
	qer_editorimage textures/arches/rich_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/arches/rich_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/arches/rich_splash_4
{
	qer_editorimage textures/arches/rich_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 12.4378 0 31.5161 sawtooth 0 1 0 1.02932 
	{
		clampmap textures/arches/rich_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.6 -0.6 0 1.02932 
	}
}

textures/arches/rich_splash_5
{
	qer_editorimage textures/arches/rich_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -34.8016 0 9.76785 sawtooth 0 1 0 0.958803 
	{
		clampmap textures/arches/rich_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.6 -0.6 0 0.958803 
	}
}

textures/arches/water04
{
	qer_editorimage textures/arches/water04.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/arches/water04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 5
	}
}

textures/arches/water05
{
	qer_editorimage textures/arches/water05.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/arches/water05.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -5
	}
}

textures/arches/ladder
{
qer_trans 0.40
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm playerclip
surfaceparm noimpact
surfaceparm ladder
}